Show / Hide Table of Contents

# Class ImGuizmoNative

##### Inheritance

System.Object
ImGuizmoNative

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: ImGuizmoNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public static class ImGuizmoNative

### Methods

#### ImGuizmo_AllowAxisFlip(Byte)

##### Declaration

    public static void ImGuizmo_AllowAxisFlip(byte value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | value |

#### ImGuizmo_BeginFrame()

##### Declaration

    public static void ImGuizmo_BeginFrame()

#### ImGuizmo_DecomposeMatrixToComponents(Single*, Single*, Single*, Single*)

##### Declaration

    public static void ImGuizmo_DecomposeMatrixToComponents(float *matrix, float *translation, float *rotation, float *scale)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single* | matrix |
System.Single* | translation |
System.Single* | rotation |
System.Single* | scale |

#### ImGuizmo_DrawCubes(Single*, Single*, Single*, Int32)

##### Declaration

    public static void ImGuizmo_DrawCubes(float *view, float *projection, float *matrices, int matrixCount)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single* | view |
System.Single* | projection |
System.Single* | matrices |
System.Int32 | matrixCount |

#### ImGuizmo_DrawGrid(Single*, Single*, Single*, Single)

##### Declaration

    public static void ImGuizmo_DrawGrid(float *view, float *projection, float *matrix, float gridSize)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single* | view |
System.Single* | projection |
System.Single* | matrix |
System.Single | gridSize |

#### ImGuizmo_Enable(Byte)

##### Declaration

    public static void ImGuizmo_Enable(byte enable)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | enable |

#### ImGuizmo_IsOverNil()

##### Declaration

    public static byte ImGuizmo_IsOverNil()

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImGuizmo_IsOverOPERATION(OPERATION)

##### Declaration

    public static byte ImGuizmo_IsOverOPERATION(OPERATION op)

##### Parameters

Type | Name | Description
--- | --- | ---
OPERATION | op |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImGuizmo_IsUsing()

##### Declaration

    public static byte ImGuizmo_IsUsing()

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImGuizmo_Manipulate(Single*, Single*, OPERATION, MODE, Single*, Single*, Single*, Single*, Single*)

##### Declaration

    public static byte ImGuizmo_Manipulate(float *view, float *projection, OPERATION operation, MODE mode, float *matrix, float *deltaMatrix, float *snap, float *localBounds, float *boundsSnap)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single* | view |
System.Single* | projection |
OPERATION | operation |
MODE | mode |
System.Single* | matrix |
System.Single* | deltaMatrix |
System.Single* | snap |
System.Single* | localBounds |
System.Single* | boundsSnap |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImGuizmo_RecomposeMatrixFromComponents(Single*, Single*, Single*, Single*)

##### Declaration

    public static void ImGuizmo_RecomposeMatrixFromComponents(float *translation, float *rotation, float *scale, float *matrix)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single* | translation |
System.Single* | rotation |
System.Single* | scale |
System.Single* | matrix |

#### ImGuizmo_SetDrawlist(ImDrawList*)

##### Declaration

    public static void ImGuizmo_SetDrawlist(ImDrawList*drawlist)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawList* | drawlist |

#### ImGuizmo_SetGizmoSizeClipSpace(Single)

##### Declaration

    public static void ImGuizmo_SetGizmoSizeClipSpace(float value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | value |

#### ImGuizmo_SetID(Int32)

##### Declaration

    public static void ImGuizmo_SetID(int id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | id |

#### ImGuizmo_SetImGuiContext(IntPtr)

##### Declaration

    public static void ImGuizmo_SetImGuiContext(IntPtr ctx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ctx |

#### ImGuizmo_SetOrthographic(Byte)

##### Declaration

    public static void ImGuizmo_SetOrthographic(byte isOrthographic)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | isOrthographic |

#### ImGuizmo_SetRect(Single, Single, Single, Single)

##### Declaration

    public static void ImGuizmo_SetRect(float x, float y, float width, float height)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | x |
System.Single | y |
System.Single | width |
System.Single | height |

#### ImGuizmo_ViewManipulate(Single*, Single, Vector2, Vector2, UInt32)

##### Declaration

    public static void ImGuizmo_ViewManipulate(float *view, float length, Vector2 position, Vector2 size, uint backgroundColor)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single* | view |
System.Single | length |
System.Numerics.Vector2 | position |
System.Numerics.Vector2 | size |
System.UInt32 | backgroundColor |